# Uses of Class
org.codehaus.janino.Java.TryStatement.Resource

Packages that use Java.TryStatement.Resource
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.TryStatement.Resource in org.codehaus.janino

Subclasses of Java.TryStatement.Resource in org.codehaus.janino
Modifier and Type
Class
Description
`static class`
`Java.TryStatement.LocalVariableDeclaratorResource`
Representation of a JLS9 14.20.2 "local-variable-declarator resource" in a TRY-with-resources statement.
`static class`
`Java.TryStatement.VariableAccessResource`
Representation of a JLS9 14.20.2 "variable-access resource" in a TRY-with-resources statement.
Fields in org.codehaus.janino with type parameters of type Java.TryStatement.Resource
Modifier and Type
Field
Description
`final List<Java.TryStatement.Resource>`
Java.TryStatement.`resources`
The "resources" managed by the TRY-with-resources statement.
Constructor parameters in org.codehaus.janino with type arguments of type Java.TryStatement.Resource
Modifier
Constructor
Description
``
`TryStatement(Location location, List<Java.TryStatement.Resource> resources, Java.BlockStatement body, List<Java.CatchClause> catchClauses)`
A TRY statement without a FINALLY clause.
``
`TryStatement(Location location, List<Java.TryStatement.Resource> resources, Java.BlockStatement body, List<Java.CatchClause> catchClauses, Java.Block finallY)`

## Uses of Java.TryStatement.Resource in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.TryStatement.Resource
Modifier and Type
Method
Description
`Java.TryStatement.Resource`
DeepCopier.`copyLocalVariableDeclaratorResource(Java.TryStatement.LocalVariableDeclaratorResource subject)`
`Java.TryStatement.Resource`
DeepCopier.`copyResource(Java.TryStatement.Resource subject)`
`Java.TryStatement.Resource`
DeepCopier.`copyVariableAccessResource(Java.TryStatement.VariableAccessResource subject)`
Methods in org.codehaus.janino.util that return types with arguments of type Java.TryStatement.Resource
Modifier and Type
Method
Description
`List<Java.TryStatement.Resource>`
DeepCopier.`copyResources(Collection<? extends Java.TryStatement.Resource> subject)`
Methods in org.codehaus.janino.util with parameters of type Java.TryStatement.Resource
Modifier and Type
Method
Description
`Java.TryStatement.Resource`
DeepCopier.`copyResource(Java.TryStatement.Resource subject)`
Method parameters in org.codehaus.janino.util with type arguments of type Java.TryStatement.Resource
Modifier and Type
Method
Description
`List<Java.TryStatement.Resource>`
DeepCopier.`copyResources(Collection<? extends Java.TryStatement.Resource> subject)`